commit:     08ea3720ffa492c3e364190798fc51fc7b6bb10b
Author:     Andreas Zuber <a.zuber <AT> gmx <DOT> ch>
AuthorDate: Sat May 25 00:26:30 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Nov  1 06:06:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08ea3720

games-util/pyfa: version bump to 2.14.1

Closes: https://bugs.gentoo.org/671470
Package-Manager: Portage-2.3.66, Repoman-2.3.11
Signed-off-by: Andreas Zuber <a.zuber <AT> gmx.ch>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 games-util/pyfa/Manifest                           |  1 +
 games-util/pyfa/files/pyfa-2.9.3-import-pyfa.patch | 28 +++++++
 games-util/pyfa/pyfa-2.14.1.ebuild                 | 97 ++++++++++++++++++++++
 3 files changed, 126 insertions(+)

diff --git a/games-util/pyfa/Manifest b/games-util/pyfa/Manifest
index f6708d6328a..4757d2f9302 100644
--- a/games-util/pyfa/Manifest
+++ b/games-util/pyfa/Manifest
@@ -2,3 +2,4 @@ DIST pyfa-1.34.0.tar.gz 8629709 BLAKE2B 
5b16296b675383a446bb21133c9e83726a92beb2
 DIST pyfa-1.35.0.tar.gz 8743938 BLAKE2B 
623a70ea8d28c41f94b5c54c3b8b57ddc6b6604f0eccaa1d9716f8b47295bfca12e2db068d3283448b2a6719a3ef73c74d42a98550a1b062e93e6d1091a45797
 SHA512 
28b3294e8c1d611402d4123d184d6ddf57886a51264fc25529ca3e0cd8af6d41dbe28b15c4714e591f940427651249761db8d2353006b169d358974bc691f121
 DIST pyfa-1.35.1.tar.gz 8746324 BLAKE2B 
f224f78c97f15d37e2276512541985bfd2ae80c031233261837cd142eddc16a853688a4f1f1f8684736f757d60fd57c41fb14987f336274b2284bd1de26239b3
 SHA512 
6da5e2d3351157f35c32c7b210d8bfb86a9dc2ea3a3df02449950c498ffabecff3a48fe38086dce75ec5a2cc2549dd28b474015edc0ea01c56a2ff58d1ba3f69
 DIST pyfa-1.37.0.tar.gz 8795428 BLAKE2B 
33aa0159b41fe2f228be13788f4e91933205a1883af229ffa97af0816dbce307fa8ce9ebc53b335a99decb84f9a28e83b977daf3c600df1cdd0336ba2c413ba3
 SHA512 
21094a1c374a60447e38261762ee13cd212f6af5f8d757c8b626774fb5a10d10e99267da1311d3164664b62169edd2772519a7b4ebd7414db2493f5121df5c8c
+DIST pyfa-2.14.1.tar.gz 14452477 BLAKE2B 
e4c688cff14eecaa71f86fb9e22f6a585a3136a4bd7df65c8dd65ed82c2aa9e530210134daaba25251df92dc55a7e538474b39c1d54e4bcb1817eac17791d517
 SHA512 
d3d3219fa37f44c81d85165c7e780261e149b47db147417ea26edaff448484ce565607aded714a4f44ca23b8c1586c8597ace856020c4c319cea6d39f353b140

diff --git a/games-util/pyfa/files/pyfa-2.9.3-import-pyfa.patch 
b/games-util/pyfa/files/pyfa-2.9.3-import-pyfa.patch
new file mode 100644
index 00000000000..fc691d48bb4
--- /dev/null
+++ b/games-util/pyfa/files/pyfa-2.9.3-import-pyfa.patch
@@ -0,0 +1,28 @@
+From c12e4c1358025940aa1fbdf0e17f85e3821e7230 Mon Sep 17 00:00:00 2001
+From: Andreas Zuber <[email protected]>
+Date: Mon, 30 Oct 2017 09:52:32 +0100
+Subject: [PATCH] import pyfa
+
+Append $(python_get_sitedir)/pyfa to import path
+
+Ensures that pyfa's import statements continue to work for systemwide
+installation.
+---
+ pyfa.py | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/pyfa.py b/pyfa.py
+index d73ef097..dbf73db2 100755
+--- a/pyfa.py
++++ b/pyfa.py
+@@ -22,6 +22,7 @@
+ import datetime
+ import os
+ import sys
++sys.path.append(os.path.join("%%SITEDIR%%", "pyfa"))
+ from optparse import AmbiguousOptionError, BadOptionError, OptionParser
+
+ import config
+--
+2.21.0
+

diff --git a/games-util/pyfa/pyfa-2.14.1.ebuild 
b/games-util/pyfa/pyfa-2.14.1.ebuild
new file mode 100644
index 00000000000..2f7b3917e18
--- /dev/null
+++ b/games-util/pyfa/pyfa-2.14.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_6 )
+PYTHON_REQ_USE="sqlite,threads"
+
+inherit desktop eutils python-single-r1 xdg-utils
+
+DESCRIPTION="Python Fitting Assistant - a ship fitting application for EVE 
Online"
+HOMEPAGE="https://github.com/pyfa-org/Pyfa";
+
+RESTRICT="mirror bindist"
+LICENSE="GPL-3+ all-rights-reserved"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+       EGIT_REPO_URI="https://github.com/pyfa-org/Pyfa.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/pyfa-org/Pyfa/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+       S=${WORKDIR}/Pyfa-${PV}
+fi
+IUSE="+graph"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+       >=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
+       >=dev-python/logbook-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+       >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
+       >=dev-python/wxpython-4.0.4[webkit,${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}
+       >=dev-python/beautifulsoup-4.6.0[${PYTHON_USEDEP}]
+       >=dev-python/markdown2-2.3.0[${PYTHON_USEDEP}]
+       >=dev-python/packaging-16.8[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/roman-2.0.0[${PYTHON_USEDEP}]
+       graph? (
+               >=dev-python/matplotlib-2.0.0[wxwidgets,${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}] )
+       ${PYTHON_DEPS}"
+BDEPEND="app-arch/zip"
+
+PATCHES=(
+       # fix import path in the main script for systemwide installation
+       "${FILESDIR}/${PN}-2.9.3-import-pyfa.patch"
+       )
+
+src_prepare() {
+       # get rid of CRLF line endings introduced in 1.1.10 so patches work
+       edos2unix config.py pyfa.py gui/bitmap_loader.py service/settings.py
+
+       default
+
+       # make python recognize pyfa as a package
+       touch __init__.py || die
+
+       sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+               -e "s:%%EPREFIX%%:${EPREFIX}:" \
+               "${FILESDIR}/configforced-1.15.1.py" > configforced.py || die
+       sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+               pyfa.py > pyfa || die
+}
+
+src_install() {
+       python_moduleinto ${PN}
+       python_domodule eos gui service utils graphs
+       python_domodule config*.py __init__.py version.yml configforced.py 
db_update.py
+       python_doscript pyfa
+
+       insinto /usr/share/${PN}
+
+       einfo "Creating database ..."
+       python ./db_update.py || die
+       doins eve.db
+
+       einfo "Compressing images ..."
+       pushd imgs > /dev/null || die
+       zip -r imgs.zip * || die "zip failed"
+       doins imgs.zip
+       popd > /dev/null || die
+
+       dodoc README.md
+       doicon -s 32 imgs/gui/pyfa.png
+       newicon -s 64 imgs/gui/pyfa64.png pyfa.png
+       domenu "${FILESDIR}/${PN}.desktop"
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to